<template>
  <v-row>
    <v-col class="py-0">
      <v-btn
        v-for="({ name, icon }, index) in filters"
        :key="index"
        variant="text"
        class="mr-2"
        :prepend-icon="icon"
        append-icon="mdi-chevron-down"
        >{{ name }}
        <v-menu activator="parent">
          <v-list>
            <v-list-item
              v-for="(item, index) in items"
              :key="index"
              :value="index"
            >
              <v-list-item-title>{{ item.title }}</v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu>
      </v-btn>
    </v-col>
  </v-row>
</template>

<script setup>
import { sync } from 'vuex-pathify'
import { useRouter } from 'vue-router'
const router = useRouter()
const tab = sync('market/currentTab')
const filters = [
  { name: 'Все фильтры', icon: 'mdi-tune-variant' },
  { name: 'По полулярности', icon: 'mdi-swap-vertical-bold' },
  { name: 'Катагория', icon: 'mdi-tune-variant' },
  { name: 'Бренд', icon: 'mdi-tune-variant' },
  { name: 'Цена', icon: 'mdi-tune-variant' }
]
const items = [
  { title: 'Click Me' },
  { title: 'Click Me' },
  { title: 'Click Me' },
  { title: 'Click Me 2' }
]
function clickHandler() {
  router.replace({ path: tab.value })
}
</script>

<style scoped></style>
